diff_visitor.hpp File Reference
`#include <osmium/diff_iterator.hpp>`
`#include <osmium/io/input_iterator.hpp>`
`#include <osmium/memory/buffer.hpp>`
`#include <osmium/osm/diff_object.hpp>`
`#include <osmium/osm/item_type.hpp>`
Include dependency graph for diff_visitor.hpp:

Go to the source code of this file.

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Functions

template<typename TIterator , typename... THandlers>
void | osmium::apply_diff (TIterator it, TIterator end, THandlers &...handlers)
template<typename TSource , typename... THandlers>
void | osmium::apply_diff (TSource &source, THandlers &...handlers)
template<typename... THandlers>
void | osmium::apply_diff (osmium::memory::Buffer &buffer, THandlers &...handlers)
template<typename... THandlers>
void | osmium::apply_diff (const osmium::memory::Buffer &buffer, THandlers &...handlers)